| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
ADT
ADT.struct

Methods
add_data()
contents()
create()
get_bignum()
get_fix_string()
get_fix_uint_array()
get_rest()
get_uint()
get_var_string()
get_var_uint_array()
is_empty()
pop_data()
put_bignum()
put_fix_string()
put_fix_uint_array()
put_uint()
put_var_string()
put_var_uint_array()

ADT.struct()->get_rest() | ADT.struct()->get_var_string()

# Method ADT.struct()->get_uint()

Method get_uint

  `int(0..) get_uint(int len)`

Description

  Reads an unsigned integer from the buffer.